For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
  • Customer Request API
      • POSTCreate request
      • GETRetrieve request
      • PATCHUpdate request
      • POSTEvent: customer_request.state.updated
  • Management API
LogoLogo
Customer Request APIRequests

Retrieve request

GET
/requests/:request_id
GET
/customer-request/v1/requests/:request_id
$curl https://api.cash.app/customer-request/v1/requests/request_id \
> -H "Accept: Accept" \
> -H "User-Agent: User-Agent"
1{
2 "request": {
3 "id": "GRR_1hrxhz136krcq6ezdte2ha5q",
4 "status": "PENDING",
5 "actions": [
6 {
7 "amount": 2500,
8 "currency": "USD",
9 "scope_id": "MMI_4vxs5egfk7hmta3qx2h6rp91x",
10 "type": "ONE_TIME_PAYMENT"
11 }
12 ],
13 "redirect_url": "https://example.com",
14 "created_at": "2022-01-01T12:09:00Z",
15 "updated_at": "2022-01-01T12:10:00Z",
16 "expires_at": "2033-01-01T12:20:00Z",
17 "origin": {
18 "type": "DIRECT",
19 "id": "string"
20 },
21 "channel": "ONLINE",
22 "auth_flow_triggers": {
23 "qr_code_image_url": "https://api.cash.app/qr/f/GRANTLY_MANAGED_GRANT%3Frequest_id=GRR_1hrxhz136krcq6ezdte2ha5q-k21srg&method=qr?rounded=0&format=png",
24 "qr_code_svg_url": "https://api.cash.app/qr/f/GRANTLY_MANAGED_GRANT%3Frequest_id=GRR_1hrxhz136krcq6ezdte2ha5q-k21srg&method=qr?rounded=0&format=svg",
25 "mobile_url": "https://cash.app/f/GRANTLY_MANAGED_GRANT%3Frequest_id=GRR_1hrxhz136krcq6ezdte2ha5q-k21srg&method=mobile_url",
26 "refreshes_at": "2019-08-24T14:15:22Z",
27 "desktop_url": "https://pay.cash.app?customerRequestId=GRR_1hrxhz136krcq6ezdte2ha5q"
28 },
29 "reference_id": "external-id",
30 "requester_profile": {
31 "name": "The Sill",
32 "logo_url": "https://picsum.photos/200"
33 },
34 "metadata": {},
35 "customer_metadata": {}
36 }
37}
Retrieves a customer request by its ID.
Was this page helpful?
Previous

Update request

Next
Built with

Path parameters

request_idstringRequired

Headers

AcceptstringRequired
User-AgentstringRequired

Response

OK
requestobject
Describes a request from a client to perform a given action on a customer's account.

Errors

404
Not Found Error